deprecated

View on PyPIReverse Dependencies (57)

1.2.7 Deprecated-1.2.7-py2.py3-none-any.whl

Wheel Details

Project: deprecated
Version: 1.2.7
Filename: Deprecated-1.2.7-py2.py3-none-any.whl
Download: [link]
Size: 8259
MD5: b5bdc3d7877cbe0d07842634bf575074
SHA256: 8b6a5aa50e482d8244a62e5582b96c372e87e3a28e8b49c316e46b95c76a611d
Uploaded: 2019-11-11 15:05:39 +0000

dist-info

METADATA

Metadata-Version: 2.1
Name: Deprecated
Version: 1.2.7
Summary: Python @deprecated decorator to deprecate old python classes, functions or methods.
Author: Laurent LAPORTE
Author-Email: tantale.solutions[at]gmail.com
Home-Page: https://github.com/tantale/deprecated
Project-Url: Documentation, https://deprecated.readthedocs.io/en/latest/
Project-Url: Source, https://github.com/tantale/deprecated
Project-Url: Bug Tracker, https://github.com/tantale/deprecated/issues
License: MIT
Keywords: deprecate,deprecated,deprecation,warning,warn,decorator
Classifier: Development Status :: 5 - Production/Stable
Classifier: Environment :: Web Environment
Classifier: Intended Audience :: Developers
Classifier: License :: OSI Approved :: MIT License
Classifier: Operating System :: OS Independent
Classifier: Programming Language :: Python
Classifier: Programming Language :: Python :: 2
Classifier: Programming Language :: Python :: 2.7
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.4
Classifier: Programming Language :: Python :: 3.5
Classifier: Programming Language :: Python :: 3.6
Classifier: Programming Language :: Python :: 3.7
Classifier: Topic :: Software Development :: Libraries :: Python Modules
Platform: any
Requires-Python: >=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*
Requires-Dist: wrapt (<2,>=1.10)
Requires-Dist: tox; extra == "dev"
Requires-Dist: bumpversion (<1); extra == "dev"
Requires-Dist: sphinx (<2); extra == "dev"
Requires-Dist: PyTest (<5); python_version < "3" and extra == "dev"
Requires-Dist: PyTest-Cov (<2.6); python_version < "3" and extra == "dev"
Requires-Dist: PyTest; python_version >= "3.6" and extra == "dev"
Requires-Dist: PyTest-Cov; python_version >= "3.6" and extra == "dev"
Provides-Extra: dev
[Description omitted; length: 3453 characters]

WHEEL

Wheel-Version: 1.0
Generator: bdist_wheel (0.33.6)
Root-Is-Purelib: true
Tag: py2-none-any
Tag: py3-none-any

RECORD

Path Digest Size
deprecated/__init__.py sha256=DmAILNK2L72hjIFiVrfdaxkxQV6NWz8SKSWZV_3mRjk 312
deprecated/classic.py sha256=35LGohybj_V6iZhVGbl7ruFOLz2xe_MfUOIECovRzwA 8179
deprecated/sphinx.py sha256=kl9aVU2N6rgzF5lKkR_BgzOdjfYc6CeaBME-MNwcudY 7236
Deprecated-1.2.7.dist-info/LICENSE.rst sha256=HoPt0VvkGbXVveNy4yXlJ_9PmRX1SOfHUxS0H2aZ6Dw 1081
Deprecated-1.2.7.dist-info/METADATA sha256=ceme3i8JyuXkcf2cTgUPF_3SBrrXEvgRdHQlvE_4njU 5246
Deprecated-1.2.7.dist-info/WHEEL sha256=8zNYZbwQSXoB9IfXOjPfeNwvAsALAjffgk27FqvCWbo 110
Deprecated-1.2.7.dist-info/top_level.txt sha256=nHbOYawKPQQE5lQl-toUB1JBRJjUyn_m_Mb8RVJ0RjA 11
Deprecated-1.2.7.dist-info/RECORD

top_level.txt

deprecated